# Including Subdomains

Adds the subdomains of the matching domains: 20 records instead of 8, such as www.bikingsupplies.us.

Source: https://docs.deepinfo.com/reference/discovery/reverse-whois-email/examples/include-subdomains/

Last updated: 2026-09-24

---
`GET https://api.deepinfo.com/v1/discovery/reverse-email?email=support%40godaddy.com&include_subdomains=true&page_size=25`

Adds the subdomains of the matching domains: 20 records instead of 8, such as www.bikingsupplies.us.

Example 2 of 2 in **Options** · [Reverse WHOIS Email Examples](/reference/discovery/reverse-whois-email/examples/) · endpoint: [Reverse WHOIS Email](/reference/discovery/reverse-whois-email/)

Tags: `param` `include_subdomains` · `param` `email` · `value` `true` · `value` `support@godaddy.com`

By default the API returns registrable domains only (`type: 1`). `include_subdomains=true` adds their subdomains (`type: 2`), which carry the WHOIS record of their domain.

The total grows from 8 to 20. The records shown include `www.bikingsupplies.us` and `www.rucksacksupplies.us`, both with `type: 2`.

In the response, look at `results[].type` and `results[].punycode`.

## Request

| Parameter | In | Value |
|---|---|---|
| `email` | query | `support@godaddy.com` |
| `include_subdomains` | query | `true` |
| `page_size` | query | `25` |

```bash
curl 'https://api.deepinfo.com/v1/discovery/reverse-email?email=support%40godaddy.com&include_subdomains=true&page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 20 shown

`Content-Type: application/json` · `ratelimit-limit: 1` · `ratelimit-remaining: 0` · `ratelimit-reset: 1` · `x-ratelimit-limit-second: 1` · `x-ratelimit-remaining-second: 0` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 20,
  "results": [
    {
      "punycode": "www.bikingsupplies.us",
      "unicode": "www.bikingsupplies.us",
      "is_idn": false,
      "subdomain": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_last": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_root": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "name": {
        "punycode": "www.bikingsupplies",
        "unicode": "www.bikingsupplies",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 17,
        "lang": "en",
        "keywords": [
          "www",
          "biking",
          "supplies"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "bikingsupplies.us",
        "unicode": "bikingsupplies.us",
        "is_idn": false,
        "name": {
          "punycode": "bikingsupplies",
          "unicode": "bikingsupplies",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 14,
          "lang": "en",
          "keywords": [
            "biking",
            "supplies"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "us",
          "unicode": "us",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "us",
          "unicode": "us",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2018-07-29T00:52:00Z",
          "update_date": "2024-08-07T14:16:02Z",
          "expiry_date": "2025-07-29T00:52:00Z",
          "registrar": "wild west domains, inc.",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": "REDACTED FOR PRIVACY",
            "street": "REDACTED FOR PRIVACY",
            "city": "scottsdale",
            "state": "arizona",
            "postal_code": "REDACTED FOR PRIVACY",
            "country": "us",
            "phone": "REDACTED FOR PRIVACY",
            "email": "support@godaddy.com"
          },
          "name_servers": [
            "ns77.domaincontrol.com",
            "ns78.domaincontrol.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": null,
          "check_date": "2024-08-12T02:54:40Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "REDACTED FOR PRIVACY",
            "phone": "REDACTED FOR PRIVACY",
            "email": "support@godaddy.com",
            "email_fqdn_apex": "godaddy.com",
            "email_domain_apex": "godaddy.com"
          }
        },
        "whois_last_check_date": "2024-08-12T02:54:40Z",
        "whois_create_date_historical": [
          "2018-07-29T00:52:00Z"
        ],
        "whois_last_change_date": "2024-08-08T04:26:21Z",
        "whois_registrant_email_historical": [
          "support@godaddy.com"
        ],
        "whois_privacy_enabled": false,
        "dns": {
          "a": {
            "update_date": "2024-08-09T07:58:06Z",
            "ip_addresses": [
              "13.248.213.45",
              "76.223.67.189"
            ]
          }
        },
        "dns_last_change_date": "2023-12-13T23:35:25Z",
        "ip_history": [
          "34.98.99.30",
          "13.248.213.45",
          "76.223.67.189"
        ],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2024-08-10T05:57:16Z",
          "ip_addresses": [
            "13.248.213.45",
            "76.223.67.189"
          ]
        },
        "aaaa": {
          "update_date": "2024-08-10T05:57:16Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2024-08-10T05:57:16Z",
          "name_servers": [
            "ns77.domaincontrol.com",
            "ns78.domaincontrol.com"
          ]
        },
        "mx": {
          "update_date": "2024-08-10T05:57:16Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2024-08-10T05:57:16Z",
          "mnames": [
            "ns77.domaincontrol.com"
          ],
          "rnames": [
            "dns.jomax.net"
          ],
          "rname_emails": [
            "user@jomax.net"
          ]
        },
        "txt": {
          "update_date": "2024-08-10T05:57:16Z",
          "values": []
        },
        "cname": {
          "update_date": "2024-08-10T05:57:16Z",
          "values": [
            "bikingsupplies.us."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2024-08-10T05:57:16Z",
      "ip_history": [
        "13.248.213.45",
        "76.223.67.189"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "www.bikingsupplies.us",
          "www.rubencevallos.com"
        ],
        "version": 3,
        "serial_number": "7415770908653852309",
        "fingerprint": {
          "sha256": "9f2ec70b705bb1a9b2880ff0d61cbf539a1b0400d7ac387c4ced67d075ff06be",
          "sha1": "96ab36b8ebecdeb455ae13c42cd70e37e45ab5d3",
          "md5": "385951f5b1c83aad5ca1aa930693cdc2"
        },
        "validity": {
          "start_date": "2024-08-10T05:55:25Z",
          "end_date": "2025-08-10T05:55:25Z",
          "length": 31536000
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "Xi/QacN5cAHeaO2W4z8i7p4OQxpllcbQYwSco8bLGiA0HczuO7mUBvQFaOjw9xtAopZCZcU1wjP9ofwAttB+NaAt6JC4ylTc9diYxJSp7YnlxmPTeIFVhXhZi+Z2gZlbMI81MIAM58AdeE5AUraHtrEwUuQ+wZwVlMv80F+ktOXy4K7d6mKyyDkln0k3LenmHmgVoQ0rf+8zjP2gCRgcmCCK4ZFQR61ElRaqbRwpGbGBgxPnE/0ZYwRRIQPUen4z2Nd/9wFjoCHcxuglWtooPMoyBgKwwE8q1NqS417D+wg3nV11LMkf0EMYqIdtfNgic4hgjzmRqTY7DYl95zLnbg==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=Go Daddy Secure Certificate Authority - G2,OU=http://certs.godaddy.com/repository/,O=GoDaddy.com\\, Inc.,L=Scottsdale,ST=Arizona,C=US",
        "issuer": {
          "common_name": "Go Daddy Secure Certificate Authority - G2",
          "country": "US",
          "state": "Arizona",
          "locality": "Scottsdale",
          "organization": "GoDaddy.com, Inc.",
          "organizational_unit": "http://certs.godaddy.com/repository/"
        },
        "subject_dn": "CN=www.bikingsupplies.us",
        "subject": {
          "common_name": "www.bikingsupplies.us",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "QMK9J47MNIMwojPX+2yz8LQsgM4=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.16.840.1.114413.1.7.23.1",
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": true,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2024-08-10T05:55:25Z",
            "2024-08-10T05:55:26Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "www.rubencevallos.com",
              "www.bikingsupplies.us"
            ]
          },
          "subject_key_id": "DQWcASLfCsDIdbJk0geCIaqculM="
        },
        "check_date": "2024-08-14T19:26:12Z"
      },
      "ssl_last_change_date": "2024-08-14T19:26:36Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "6dc9c7fc93bb488bb0520a6c780a8d3c0fb5486a4711aca49b4c53fac7393023"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://www.bikingsupplies.us/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://www.bikingsupplies.us/",
          "final_fqdn": "www.bikingsupplies.us",
          "final_domain": "bikingsupplies.us",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sat, 10 Aug 2024 05:57:35 GMT"
              },
              {
                "name": "content_length",
                "value": "114"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "openresty",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "rucksacksupplies.us",
      "unicode": "rucksacksupplies.us",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "rucksacksupplies",
        "unicode": "rucksacksupplies",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 16,
        "lang": "en",
        "keywords": [
          "rucksack",
          "supplies"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "rucksacksupplies.us",
        "unicode": "rucksacksupplies.us",
        "is_idn": false,
        "name": {
          "punycode": "rucksacksupplies",
          "unicode": "rucksacksupplies",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 16,
          "lang": "en",
          "keywords": [
            "rucksack",
            "supplies"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "us",
          "unicode": "us",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "us",
          "unicode": "us",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2018-07-29T02:27:10Z",
          "update_date": "2026-08-04T17:18:02Z",
          "expiry_date": "2027-07-29T02:27:10Z",
          "registrar": "wild west domains, inc.",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": "REDACTED FOR PRIVACY",
            "street": "REDACTED FOR PRIVACY",
            "city": "scottsdale",
            "state": "arizona",
            "postal_code": "REDACTED FOR PRIVACY",
            "country": "us",
            "phone": "REDACTED FOR PRIVACY",
            "email": "support@godaddy.com"
          },
          "name_servers": [
            "ns77.domaincontrol.com",
            "ns78.domaincontrol.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": null,
          "check_date": "2026-08-21T02:01:36Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "REDACTED FOR PRIVACY",
            "phone": "REDACTED FOR PRIVACY",
            "email": "support@godaddy.com",
            "email_fqdn_apex": "godaddy.com",
            "email_domain_apex": "godaddy.com"
          }
        },
        "whois_last_check_date": "2026-08-21T02:01:36Z",
        "whois_create_date_historical": [
          "2018-07-29T02:27:10Z"
        ],
        "whois_last_change_date": "2026-08-21T02:04:40Z",
        "whois_registrant_email_historical": [
          "support@godaddy.com"
        ],
        "whois_privacy_enabled": false,
        "dns": {
          "a": {
            "update_date": "2026-08-15T15:00:33Z",
            "ip_addresses": [
              "3.33.251.168",
              "15.197.225.128"
            ]
          }
        },
        "dns_last_change_date": "2026-05-29T21:20:49Z",
        "ip_history": [
          "15.197.142.173",
          "3.33.152.147",
          "15.197.225.128",
          "3.33.251.168"
        ],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-08-15T15:00:33Z",
          "ip_addresses": [
            "3.33.251.168",
            "15.197.225.128"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-15T15:00:33Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-08-15T15:00:33Z",
          "name_servers": [
            "ns77.domaincontrol.com",
            "ns78.domaincontrol.com"
          ]
        },
        "mx": {
          "update_date": "2026-08-15T15:00:33Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-08-15T15:00:33Z",
          "mnames": [
            "ns77.domaincontrol.com"
          ],
          "rnames": [
            "dns.jomax.net"
          ],
          "rname_emails": [
            "user@jomax.net"
          ]
        },
        "txt": {
          "update_date": "2026-08-15T15:00:33Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-08-15T15:00:33Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-05-29T21:20:46Z",
      "ip_history": [
        "15.197.142.173",
        "3.33.152.147",
        "15.197.225.128",
        "3.33.251.168"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "timeout",
        "html": null,
        "http": null
      }
    },
    {
      "punycode": "www.rucksacksupplies.us",
      "unicode": "www.rucksacksupplies.us",
      "is_idn": false,
      "subdomain": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_last": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_root": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "name": {
        "punycode": "www.rucksacksupplies",
        "unicode": "www.rucksacksupplies",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 19,
        "lang": "en",
        "keywords": [
          "www",
          "rucksack",
          "supplies"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "rucksacksupplies.us",
        "unicode": "rucksacksupplies.us",
        "is_idn": false,
        "name": {
          "punycode": "rucksacksupplies",
          "unicode": "rucksacksupplies",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 16,
          "lang": "en",
          "keywords": [
            "rucksack",
            "supplies"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "us",
          "unicode": "us",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "us",
          "unicode": "us",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2018-07-29T02:27:10Z",
          "update_date": "2025-08-04T16:30:53Z",
          "expiry_date": "2026-07-29T02:27:10Z",
          "registrar": "wild west domains, inc.",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": "REDACTED FOR PRIVACY",
            "street": "REDACTED FOR PRIVACY",
            "city": "scottsdale",
            "state": "arizona",
            "postal_code": "REDACTED FOR PRIVACY",
            "country": "us",
            "phone": "REDACTED FOR PRIVACY",
            "email": "support@godaddy.com"
          },
          "name_servers": [
            "ns77.domaincontrol.com",
            "ns78.domaincontrol.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": null,
          "check_date": "2026-02-06T12:33:05Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "REDACTED FOR PRIVACY",
            "phone": "REDACTED FOR PRIVACY",
            "email": "support@godaddy.com",
            "email_fqdn_apex": "godaddy.com",
            "email_domain_apex": "godaddy.com"
          }
        },
        "whois_last_check_date": "2026-02-06T12:33:05Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2025-08-05T09:44:21Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": false,
        "dns": {
          "a": {
            "update_date": "2026-06-27T19:03:14Z",
            "ip_addresses": [
              "3.33.251.168",
              "15.197.225.128"
            ]
          }
        },
        "dns_last_change_date": "2026-05-29T21:20:49Z",
        "ip_history": null,
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-06-30T06:41:07Z",
          "ip_addresses": [
            "3.33.251.168",
            "15.197.225.128"
          ]
        },
        "aaaa": {
          "update_date": "2026-06-30T06:41:07Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-06-30T06:41:07Z",
          "name_servers": [
            "ns77.domaincontrol.com",
            "ns78.domaincontrol.com"
          ]
        },
        "mx": {
          "update_date": "2026-06-30T06:41:07Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-06-30T06:41:07Z",
          "mnames": [
            "ns77.domaincontrol.com"
          ],
          "rnames": [
            "dns.jomax.net"
          ],
          "rname_emails": [
            "user@jomax.net"
          ]
        },
        "txt": {
          "update_date": "2026-06-30T06:41:07Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-06-30T06:41:07Z",
          "values": [
            "rucksacksupplies.us."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-06-30T06:41:17Z",
      "ip_history": [
        "15.197.225.128",
        "3.33.251.168"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "timeout",
        "html": null,
        "http": null
      }
    }
  ]
}
```

## Related Examples

- [Any Address at the Same E-mail Domain](/reference/discovery/reverse-whois-email/examples/apex/)
- [Second Page of Results](/reference/discovery/reverse-whois-email/examples/second-page/)
- [Larger Pages (100 Results)](/reference/discovery/reverse-whois-email/examples/page-size-100/)
- [Domains Registered With One E-mail Address](/reference/discovery/reverse-whois-email/examples/email/)
- [Alphabetical Order](/reference/discovery/reverse-whois-email/examples/ordering-punycode/)
